Bug 255873

Summary: www/py-flask: update to 2.0
Product: Ports & Packages Reporter: vidwer+fbsdbugs
Component: Individual Port(s)Assignee: Wen Heping <wen>
Status: In Progress ---    
Severity: Affects Only Me CC: nivit, robak, sunpoet, wen
Priority: --- Flags: bugzilla: maintainer-feedback? (rm)
Version: Latest   
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=259453
Attachments:
Description Flags
diff
none
diff, with www/py-werkzeug/pkg-plist updated
none
inline diff none

Description vidwer+fbsdbugs 2021-05-14 12:44:42 UTC
https://palletsprojects.com/blog/flask-2-0-released/
Comment 1 vidwer+fbsdbugs 2021-05-15 11:48:09 UTC
Created attachment 224963 [details]
diff

This patch bumps the versions for:
devel/py-Jinja2
devel/py-click
security/py-itsdangerous
textproc/py-markupsafe
www/py-flask
www/py-werkzeug
Comment 2 vidwer+fbsdbugs 2021-05-15 12:00:47 UTC
Comment on attachment 224963 [details]
diff

diff --git a/devel/py-Jinja2/Makefile b/devel/py-Jinja2/Makefile
index 469e40bd4a23..382f6ea65f22 100644
--- a/devel/py-Jinja2/Makefile
+++ b/devel/py-Jinja2/Makefile
@@ -1,8 +1,8 @@
 # Created by: Nicola Vitale <nivit@FreeBSD.org>
 
 PORTNAME=	Jinja2
-PORTVERSION=	2.11.2
-PORTREVISION=	1
+PORTVERSION=	3.0.0
+PORTREVISION=	0
 CATEGORIES=	devel python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
diff --git a/devel/py-Jinja2/distinfo b/devel/py-Jinja2/distinfo
index a0de23eb3327..f8648dad362f 100644
--- a/devel/py-Jinja2/distinfo
+++ b/devel/py-Jinja2/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1600871813
-SHA256 (Jinja2-2.11.2.tar.gz) = 89aab215427ef59c34ad58735269eb58b1a5808103067f7bb9d5836c651b3bb0
-SIZE (Jinja2-2.11.2.tar.gz) = 257594
+TIMESTAMP = 1621077653
+SHA256 (Jinja2-3.0.0.tar.gz) = ea8d7dd814ce9df6de6a761ec7f1cac98afe305b8cdc4aaae4e114b8d8ce24c5
+SIZE (Jinja2-3.0.0.tar.gz) = 267417
diff --git a/devel/py-click/Makefile b/devel/py-click/Makefile
index 44cf84b003b3..d7d20a51d1be 100644
--- a/devel/py-click/Makefile
+++ b/devel/py-click/Makefile
@@ -1,7 +1,7 @@
 # Created by: Bartek Rutkowski <ports@robakdesign.com>
 
 PORTNAME=	click
-PORTVERSION=	7.1.2
+PORTVERSION=	8.0.0
 CATEGORIES=	devel python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
diff --git a/devel/py-click/distinfo b/devel/py-click/distinfo
index 43c020acc0b9..55a8cbd93acf 100644
--- a/devel/py-click/distinfo
+++ b/devel/py-click/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1598529882
-SHA256 (click-7.1.2.tar.gz) = d2b5255c7c6349bc1bd1e59e08cd12acbbd63ce649f2588755783aa94dfb6b1a
-SIZE (click-7.1.2.tar.gz) = 297279
+TIMESTAMP = 1621077237
+SHA256 (click-8.0.0.tar.gz) = 7d8c289ee437bcb0316820ccee14aefcb056e58d31830ecab8e47eda6540e136
+SIZE (click-8.0.0.tar.gz) = 326171
diff --git a/security/py-itsdangerous/Makefile b/security/py-itsdangerous/Makefile
index b80d3d94200e..e08452343389 100644
--- a/security/py-itsdangerous/Makefile
+++ b/security/py-itsdangerous/Makefile
@@ -1,7 +1,7 @@
 # Created by: Olivier Duchateau
 
 PORTNAME=	itsdangerous
-PORTVERSION=	0.24
+PORTVERSION=	2.0.0
 CATEGORIES=	security python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
diff --git a/security/py-itsdangerous/distinfo b/security/py-itsdangerous/distinfo
index 5b32b0936810..16b84e586bca 100644
--- a/security/py-itsdangerous/distinfo
+++ b/security/py-itsdangerous/distinfo
@@ -1,2 +1,3 @@
-SHA256 (itsdangerous-0.24.tar.gz) = cbb3fcf8d3e33df861709ecaf89d9e6629cff0a217bc2848f1b41cd30d360519
-SIZE (itsdangerous-0.24.tar.gz) = 46541
+TIMESTAMP = 1621077350
+SHA256 (itsdangerous-2.0.0.tar.gz) = 99b1053ccce68066dfc0b4465ef8779027e6d577377c8270e21a3d6289cac111
+SIZE (itsdangerous-2.0.0.tar.gz) = 59128
diff --git a/textproc/py-markupsafe/Makefile b/textproc/py-markupsafe/Makefile
index 0a09671c7259..3a9989461455 100644
--- a/textproc/py-markupsafe/Makefile
+++ b/textproc/py-markupsafe/Makefile
@@ -1,8 +1,8 @@
 # Created by: wen@FreeBSD.org
 
 PORTNAME=	markupsafe
-PORTVERSION=	1.1.1
-PORTREVISION=	1
+PORTVERSION=	2.0.0
+PORTREVISION=	0
 CATEGORIES=	textproc python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
diff --git a/textproc/py-markupsafe/distinfo b/textproc/py-markupsafe/distinfo
index cdb9b932770e..742bb2a89ea4 100644
--- a/textproc/py-markupsafe/distinfo
+++ b/textproc/py-markupsafe/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1552148123
-SHA256 (MarkupSafe-1.1.1.tar.gz) = 29872e92839765e546828bb7754a68c418d927cd064fd4708fab9fe9c8bb116b
-SIZE (MarkupSafe-1.1.1.tar.gz) = 19151
+TIMESTAMP = 1621077088
+SHA256 (MarkupSafe-2.0.0.tar.gz) = 4fae0677f712ee090721d8b17f412f1cbceefbf0dc180fe91bab3232f38b4527
+SIZE (MarkupSafe-2.0.0.tar.gz) = 18466
diff --git a/www/py-flask/Makefile b/www/py-flask/Makefile
index fb39517816aa..4b68043e8e6b 100644
--- a/www/py-flask/Makefile
+++ b/www/py-flask/Makefile
@@ -1,7 +1,7 @@
 # Created by: Olivier Duchateau <duchateau.olivier@gmail.com>
 
 PORTNAME=	Flask
-DISTVERSION=	1.1.2
+DISTVERSION=	2.0.0
 CATEGORIES=	www python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
diff --git a/www/py-flask/distinfo b/www/py-flask/distinfo
index 71b08f1b1c89..4285230dd22b 100644
--- a/www/py-flask/distinfo
+++ b/www/py-flask/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1587760273
-SHA256 (Flask-1.1.2.tar.gz) = 4efa1ae2d7c9865af48986de8aeb8504bf32c7f3d6fdc9353d34b21f4b127060
-SIZE (Flask-1.1.2.tar.gz) = 637516
+TIMESTAMP = 1621075885
+SHA256 (Flask-2.0.0.tar.gz) = 168e8507792cb8a3aa06afbe5d4d431d3e07c6318bc3893ceecb81aff09f848d
+SIZE (Flask-2.0.0.tar.gz) = 624458
diff --git a/www/py-werkzeug/Makefile b/www/py-werkzeug/Makefile
index afe32e3378eb..695f5623407b 100644
--- a/www/py-werkzeug/Makefile
+++ b/www/py-werkzeug/Makefile
@@ -1,7 +1,7 @@
 # Created by: Moggie <moggie@elasticmind.net>
 
 PORTNAME=	werkzeug
-PORTVERSION=	1.0.1
+PORTVERSION=	2.0.0
 CATEGORIES=	www python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
diff --git a/www/py-werkzeug/distinfo b/www/py-werkzeug/distinfo
index 3635ac7c7820..274583145ebb 100644
--- a/www/py-werkzeug/distinfo
+++ b/www/py-werkzeug/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1585752057
-SHA256 (Werkzeug-1.0.1.tar.gz) = 6c80b1e5ad3665290ea39320b91e1be1e0d5f60652b964a3070216de83d2e47c
-SIZE (Werkzeug-1.0.1.tar.gz) = 904455
+TIMESTAMP = 1621077968
+SHA256 (Werkzeug-2.0.0.tar.gz) = 3389bbfe6d40c6dd25e6d3f974155163c8b3de5bbda6a89342d4ab93fae80ba0
+SIZE (Werkzeug-2.0.0.tar.gz) = 892229
diff --git a/www/py-werkzeug/pkg-plist b/www/py-werkzeug/pkg-plist
index 03e98a2378bc..22b1c816ffc1 100644
--- a/www/py-werkzeug/pkg-plist
+++ b/www/py-werkzeug/pkg-plist
@@ -1,3 +1,161 @@
+%%PYTHON_SITELIBDIR%%/Werkzeug-2.0.0-py%%PYTHON_VER%%.egg-info/PKG-INFO
+%%PYTHON_SITELIBDIR%%/Werkzeug-2.0.0-py%%PYTHON_VER%%.egg-info/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/Werkzeug-2.0.0-py%%PYTHON_VER%%.egg-info/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/Werkzeug-2.0.0-py%%PYTHON_VER%%.egg-info/requires.txt
+%%PYTHON_SITELIBDIR%%/Werkzeug-2.0.0-py%%PYTHON_VER%%.egg-info/top_level.txt
+%%PYTHON_SITELIBDIR%%/werkzeug/__init__.py
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/__init__%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/__init__%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/_internal%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/_internal%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/_reloader%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/_reloader%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/datastructures%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/datastructures%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/exceptions%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/exceptions%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/filesystem%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/filesystem%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/formparser%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/formparser%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/http%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/http%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/local%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/local%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/routing%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/routing%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/security%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/security%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/serving%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/serving%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/test%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/test%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/testapp%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/testapp%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/urls%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/urls%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/user_agent%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/user_agent%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/useragents%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/useragents%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/utils%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/utils%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/wsgi%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/__pycache__/wsgi%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/_internal.py
+%%PYTHON_SITELIBDIR%%/werkzeug/_reloader.py
+%%PYTHON_SITELIBDIR%%/werkzeug/datastructures.py
+%%PYTHON_SITELIBDIR%%/werkzeug/datastructures.pyi
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/__init__.py
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/__pycache__/__init__%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/__pycache__/__init__%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/__pycache__/console%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/__pycache__/console%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/__pycache__/repr%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/__pycache__/repr%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/__pycache__/tbtools%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/__pycache__/tbtools%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/console.py
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/repr.py
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/shared/FONT_LICENSE
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/shared/ICON_LICENSE.md
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/shared/console.png
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/shared/debugger.js
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/shared/less.png
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/shared/more.png
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/shared/source.png
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/shared/style.css
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/shared/ubuntu.ttf
+%%PYTHON_SITELIBDIR%%/werkzeug/debug/tbtools.py
+%%PYTHON_SITELIBDIR%%/werkzeug/exceptions.py
+%%PYTHON_SITELIBDIR%%/werkzeug/filesystem.py
+%%PYTHON_SITELIBDIR%%/werkzeug/formparser.py
+%%PYTHON_SITELIBDIR%%/werkzeug/http.py
+%%PYTHON_SITELIBDIR%%/werkzeug/local.py
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/__init__.py
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/__pycache__/__init__%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/__pycache__/__init__%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/__pycache__/dispatcher%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/__pycache__/dispatcher%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/__pycache__/http_proxy%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/__pycache__/http_proxy%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/__pycache__/lint%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/__pycache__/lint%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/__pycache__/profiler%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/__pycache__/profiler%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/__pycache__/proxy_fix%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/__pycache__/proxy_fix%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/__pycache__/shared_data%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/__pycache__/shared_data%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/dispatcher.py
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/http_proxy.py
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/lint.py
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/profiler.py
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/proxy_fix.py
+%%PYTHON_SITELIBDIR%%/werkzeug/middleware/shared_data.py
+%%PYTHON_SITELIBDIR%%/werkzeug/py.typed
+%%PYTHON_SITELIBDIR%%/werkzeug/routing.py
+%%PYTHON_SITELIBDIR%%/werkzeug/sansio/__init__.py
+%%PYTHON_SITELIBDIR%%/werkzeug/sansio/__pycache__/__init__%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/sansio/__pycache__/__init__%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/sansio/__pycache__/multipart%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/sansio/__pycache__/multipart%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/sansio/__pycache__/request%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/sansio/__pycache__/request%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/sansio/__pycache__/response%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/sansio/__pycache__/response%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/sansio/__pycache__/utils%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/sansio/__pycache__/utils%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/sansio/multipart.py
+%%PYTHON_SITELIBDIR%%/werkzeug/sansio/request.py
+%%PYTHON_SITELIBDIR%%/werkzeug/sansio/response.py
+%%PYTHON_SITELIBDIR%%/werkzeug/sansio/utils.py
+%%PYTHON_SITELIBDIR%%/werkzeug/security.py
+%%PYTHON_SITELIBDIR%%/werkzeug/serving.py
+%%PYTHON_SITELIBDIR%%/werkzeug/test.py
+%%PYTHON_SITELIBDIR%%/werkzeug/testapp.py
+%%PYTHON_SITELIBDIR%%/werkzeug/urls.py
+%%PYTHON_SITELIBDIR%%/werkzeug/user_agent.py
+%%PYTHON_SITELIBDIR%%/werkzeug/useragents.py
+%%PYTHON_SITELIBDIR%%/werkzeug/utils.py
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__init__.py
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/__init__%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/__init__%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/accept%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/accept%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/auth%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/auth%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/base_request%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/base_request%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/base_response%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/base_response%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/common_descriptors%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/common_descriptors%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/cors%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/cors%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/etag%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/etag%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/json%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/json%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/request%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/request%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/response%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/response%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/user_agent%%PYTHON_EXT_SUFFIX%%.opt-1.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/__pycache__/user_agent%%PYTHON_EXT_SUFFIX%%.pyc
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/accept.py
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/auth.py
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/base_request.py
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/base_response.py
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/common_descriptors.py
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/cors.py
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/etag.py
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/json.py
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/request.py
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/response.py
+%%PYTHON_SITELIBDIR%%/werkzeug/wrappers/user_agent.py
+%%PYTHON_SITELIBDIR%%/werkzeug/wsgi.py
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/README.rst
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/coolmagic/__init__.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/coolmagic/application.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/coolmagic/helpers.py
@@ -9,10 +167,10 @@
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/coolmagic/utils.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/coolmagic/views/__init__.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/coolmagic/views/static.py
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/couchy/README
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/couchy/__init__.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/couchy/application.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/couchy/models.py
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/couchy/README
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/couchy/static/style.css
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/couchy/templates/display.html
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/couchy/templates/layout.html
@@ -56,8 +214,8 @@
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/manage-shorty.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/manage-simplewiki.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/manage-webpylike.py
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/partial/complex_routing.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/partial/README
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/partial/complex_routing.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/plnt/__init__.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/plnt/database.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/plnt/shared/style.css
@@ -68,7 +226,6 @@
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/plnt/utils.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/plnt/views.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/plnt/webapp.py
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/README.rst
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/shortly/shortly.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/shortly/static/style.css
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/shortly/templates/404.html
@@ -107,3 +264,4 @@
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/upload.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/webpylike/example.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/webpylike/webpylike.py
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/wsecho.py
Comment 3 vidwer+fbsdbugs 2021-05-15 12:02:06 UTC
Created attachment 224964 [details]
diff, with www/py-werkzeug/pkg-plist updated

This patch bumps the versions for:
devel/py-Jinja2
devel/py-click
security/py-itsdangerous
textproc/py-markupsafe
www/py-flask
www/py-werkzeug
Comment 4 vidwer+fbsdbugs 2021-05-15 15:00:07 UTC
When running flask-2.0.0 (with the attached diff applied) in the foreground, I noticed an increased disk usage.
Comment 5 Wen Heping freebsd_committer 2021-05-16 10:52:01 UTC
Maybe you should create other PRs for those ports which is maintained by others. 

wen
Comment 6 vidwer+fbsdbugs 2021-05-16 15:17:57 UTC
Created attachment 224998 [details]
inline diff
Comment 8 Wen Heping freebsd_committer 2021-10-15 13:56:22 UTC
Flask-2.0.2 released last week.
Comment 9 Ruslan Makhmatkhanov freebsd_committer 2021-10-15 13:58:55 UTC
(In reply to Wen Heping from comment #8)

yep, I'm going to handle this PR with respect of that fact. Thank you!
Comment 10 Ruslan Makhmatkhanov freebsd_committer 2021-10-25 11:26:32 UTC
Assign to new maintainer
Comment 11 commit-hook freebsd_committer 2021-10-26 04:46:25 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5f9c66010f39880f7ce8748e72bbe55ae44a3702

commit 5f9c66010f39880f7ce8748e72bbe55ae44a3702
Author:     Wen Heping <wen@FreeBSD.org>
AuthorDate: 2021-10-26 04:43:22 +0000
Commit:     Wen Heping <wen@FreeBSD.org>
CommitDate: 2021-10-26 04:43:22 +0000

    www/py-flask: Update to 2.0.2 [1]

    Update DEPENDS
    PR:             255873 [1]
    Reported by:    vidwer+fbsdbugs@gmail.com [1]

 www/py-flask/Makefile | 10 +++++-----
 www/py-flask/distinfo |  6 +++---
 2 files changed, 8 insertions(+), 8 deletions(-)